------------------------------------------------------------------------
r39960 | gerald | 2011-11-20 07:33:50 -0800 (Sun, 20 Nov 2011) | 1 line

[Automatic manuf, services and enterprise-numbers update for 2011-11-20]
------------------------------------------------------------------------
r39993 | wmeier | 2011-11-22 15:10:39 -0800 (Tue, 22 Nov 2011) | 28 lines

Copy over manually Revisions 39990 & 39991 from trunk.

------------------------------------------------------------------------
r39991 | wmeier | 2011-11-22 15:48:49 -0500 (Tue, 22 Nov 2011) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Fix two compiler errors.

------------------------------------------------------------------------
r39990 | wmeier | 2011-11-22 15:42:25 -0500 (Tue, 22 Nov 2011) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Handle 2 issues related to cacheing templates:
 - Use a (slightly) less simplistic hashing algorithm to reduce collisions;
   Note: A GHashTable which handles collisions rather than
         a home-grown hash table (which does not) needs to be implemented.
 - Don't replace an existing template in the cache when a collision occurs;

Fixes Bug #6325
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6325

------------------------------------------------------------------------

Update the release notes.


------------------------------------------------------------------------
r39999 | alagoutte | 2011-11-25 02:38:15 -0800 (Fri, 25 Nov 2011) | 3 lines

From Dagobert Michelsen via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6615
Do not return value on void function in epan/dissectors/packet-capwap.c

------------------------------------------------------------------------
r40012 | cmaynard | 2011-11-26 21:03:25 -0800 (Sat, 26 Nov 2011) | 2 lines

From "The Written Word" via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6549: Wireshark crashes if no recent files.  Note that this crash did not occur for me on Windows XP (32-bit).

------------------------------------------------------------------------
r40015 | gerald | 2011-11-27 07:33:50 -0800 (Sun, 27 Nov 2011) | 1 line

[Automatic manuf, services and enterprise-numbers update for 2011-11-27]
------------------------------------------------------------------------
r40089 | gerald | 2011-12-04 07:33:52 -0800 (Sun, 04 Dec 2011) | 1 line

[Automatic manuf, services and enterprise-numbers update for 2011-12-04]
------------------------------------------------------------------------
r40097 | guy | 2011-12-05 17:57:52 -0800 (Mon, 05 Dec 2011) | 10 lines

If capture_get_if_capabilities() fails, pop up a message, just as we
print a message in tshark.  That doesn't fix the problem seen on Linux
distributions, such as recent versions of Debian and derivatives, that
have libpcap 1.1.0 or later built without libnl, where the monitor mode
checkbox doesn't work - that's a libpcap bug, fixed in the 1.2 branch
and trunk, so a future 1.2.1 or 1.3.0 release should fix it, and perhaps
a future Debian release will build libpcap with libnl - but at least it
means you get a dialog box rather than just getting mysterious behavior
when you try to check the "monitor mode" checkbox.

------------------------------------------------------------------------
r40099 | guy | 2011-12-05 20:02:22 -0800 (Mon, 05 Dec 2011) | 7 lines

Add a blank line between the error message and the "try using airmon-ng"
suggestion. 

Fix typo.

Clean up indentation.

------------------------------------------------------------------------
r40151 | gerald | 2011-12-11 07:33:50 -0800 (Sun, 11 Dec 2011) | 1 line

[Automatic manuf, services and enterprise-numbers update for 2011-12-11]
------------------------------------------------------------------------
r40239 | gerald | 2011-12-18 07:33:53 -0800 (Sun, 18 Dec 2011) | 1 line

[Automatic manuf, services and enterprise-numbers update for 2011-12-18]
------------------------------------------------------------------------
r40291 | gerald | 2011-12-25 07:33:49 -0800 (Sun, 25 Dec 2011) | 1 line

[Automatic manuf, services and enterprise-numbers update for 2011-12-25]
------------------------------------------------------------------------
r40355 | gerald | 2012-01-01 07:33:50 -0800 (Sun, 01 Jan 2012) | 1 line

[Automatic manuf, services and enterprise-numbers update for 2012-01-01]
------------------------------------------------------------------------
r40389 | gerald | 2012-01-05 10:39:27 -0800 (Thu, 05 Jan 2012) | 90 lines

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r39878 | guy | 2011-11-15 19:13:02 -0800 (Tue, 15 Nov 2011) | 3 lines
  Changed paths:
     M /trunk/capinfos.c
     M /trunk/gtk/summary_dlg.c

  Handle ctime() and localtime() returning NULL and localtime() on Windows
  blowing up when handed a bad value.
  ------------------------------------------------------------------------
  r39882 | guy | 2011-11-16 08:48:02 -0800 (Wed, 16 Nov 2011) | 3 lines
  Changed paths:
     M /trunk/wiretap/k12text.l

  Another place where we have to protect against MSVC's time-conversion
  routines blowing up if handed a too-large time_t.
  ------------------------------------------------------------------------
  r39883 | guy | 2011-11-16 09:08:00 -0800 (Wed, 16 Nov 2011) | 6 lines
  Changed paths:
     M /trunk/wiretap/ngsniffer.c

  Another place where we have to protect against MSVC's time-conversion
  routines blowing up if handed a too-large time_t.

  While we're at it, also check for dates that can't be represented in DOS
  format (pre-1980 dates).
  ------------------------------------------------------------------------
  r39884 | guy | 2011-11-16 09:12:47 -0800 (Wed, 16 Nov 2011) | 2 lines
  Changed paths:
     M /trunk/wiretap/k12text.l

  Fix build on Windows.
  ------------------------------------------------------------------------
  r39885 | guy | 2011-11-16 09:13:37 -0800 (Wed, 16 Nov 2011) | 2 lines
  Changed paths:
     M /trunk/wiretap/k12text.l

  OK, this should do it.
  ------------------------------------------------------------------------
  r39894 | cmaynard | 2011-11-16 18:17:57 -0800 (Wed, 16 Nov 2011) | 2 lines
  Changed paths:
     M /trunk/wiretap/ngsniffer.c

  Revert part of r39883 to avoid dereferencing a NULL pointer.  Thanks Clang.
  ------------------------------------------------------------------------
  r39886 | guy | 2011-11-16 09:54:44 -0800 (Wed, 16 Nov 2011) | 15 lines
  Changed paths:
     M /trunk/wiretap/netmon.c

  Support nanosecond-resolution time for NetMon 2.x format (it's only
  100-nanosecond resolution, but that's still better than microsecond
  resolution).

  For NetMon 1.x format, only claim to support millisecond resolution, as
  that's all you get.

  Fix handling of negative time deltas in NetMon 2.x format.

  When writing a NetMon file, trim the time of the first packet to
  millisecond precision to get the capture start time, so that the start
  time written to the file (which has millisecond precision) is the same
  as the start time used to calculate the deltas written to the packet
  headers.
  ------------------------------------------------------------------------
  r39930 | guy | 2011-11-17 23:13:33 -0800 (Thu, 17 Nov 2011) | 4 lines
  Changed paths:
     M /trunk/wiretap/pcapng.c

  Make sure pcap-ng supports a particular encapsulation type before
  trying to write out an interface description block for an interface with
  that type.
  ------------------------------------------------------------------------
  r39944 | guy | 2011-11-18 13:39:18 -0800 (Fri, 18 Nov 2011) | 3 lines
  Changed paths:
     M /trunk/wiretap/k12text.l

  Fail if somebody tries to write out a packet with an unsupported
  encapsulation.
  ------------------------------------------------------------------------
  r39959 | cmaynard | 2011-11-20 07:11:15 -0800 (Sun, 20 Nov 2011) | 2 lines
  Changed paths:
     M /trunk/file.c

  Fix "'Closing File!' Dialog Hangs" bug 3046: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3046
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r40393 | gerald | 2012-01-05 15:44:06 -0800 (Thu, 05 Jan 2012) | 137 lines

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r39961 | cmaynard | 2011-11-20 07:47:14 -0800 (Sun, 20 Nov 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ip.c

  Fix bug 6561: IPv4 UDP/TCP Checksum incorrect if routing header present.
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6561
  ------------------------------------------------------------------------
  r39963 | cmaynard | 2011-11-20 18:01:59 -0800 (Sun, 20 Nov 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ip.c

  Fix potential infinite loop introduced with r39961 and find by the buildbot.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6599
  ------------------------------------------------------------------------
  r39986 | cmaynard | 2011-11-22 07:18:20 -0800 (Tue, 22 Nov 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ip.c

  For now, display the protocol in hexadecimal again so displaying it in decimal doesn't get backported to the 1.6 and 1.4 trunks at the request of Joerg.
  ------------------------------------------------------------------------
  r40024 | etxrab | 2011-11-28 08:41:59 -0800 (Mon, 28 Nov 2011) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-gsm_a_gm.c

  Prevet a crash when dissecting linked TI.
  ------------------------------------------------------------------------
  r40076 | cmaynard | 2011-12-02 20:07:20 -0800 (Fri, 02 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ipv6.c

  If a type 2 Mobile IP routing header is present, only set pinfo->dst if seg_left is non-zero.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6560
  ------------------------------------------------------------------------
  r40133 | alagoutte | 2011-12-09 09:00:28 -0800 (Fri, 09 Dec 2011) | 8 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-zbee-zcl.c
     M /trunk/epan/dissectors/packet-zbee-zcl.h

  From report of Arasch Honarbacht via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6649
  ZigBee ZCL Dissector reports invalid status

  The status code 0x8d contained in an attriute status record in a configure reporting response frame is incorrectly displayed as "Write only" (where WRITE_ONLY = 0x8f). According to the ZigBee Cluster Library Specification, Document 075123r03ZB, April 26, 2010 a status of 0x8d should display as "INVALID_DATA_TYPE"

  From me :
  Fix this issue (Wrong value define) based on Specs available in ZigBee.org
  ------------------------------------------------------------------------
  r40138 | guy | 2011-12-09 13:15:48 -0800 (Fri, 09 Dec 2011) | 7 lines
  Changed paths:
     M /trunk/acinclude.m4
     M /trunk/capture-pcap-util-unix.c

  Referring to pcap_version[] doesn't do what you want on at least some
  UN*Xes (Fedora 16 and probably other Linux distributions, probably at
  least some if not all other ELF-based systems, and perhaps also Mac OS
  X), and causes problems if pcap_version[] has a different length in the
  libpcap with which the executable was built and the libpcap with which
  it's run, so we avoid using it for now.
  ------------------------------------------------------------------------
  r40153 | cmaynard | 2011-12-11 15:43:03 -0800 (Sun, 11 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/gtk/export_object.c

  If the object to export doesn't have a filename, use a generic "object" name instead.  This fixes the crash reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6250
  ------------------------------------------------------------------------
  r40154 | cmaynard | 2011-12-11 16:27:32 -0800 (Sun, 11 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/gtk/export_object.c

  If no filename, include the packet number in the generic name.  TODO: Implement the ct2ext() function.
  ------------------------------------------------------------------------
  r40155 | cmaynard | 2011-12-11 16:35:51 -0800 (Sun, 11 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/gtk/export_object.c

  Well, until someone has the time to write ct2ext(), just return the content type, which is better than nothing.
  ------------------------------------------------------------------------
  r40159 | jake | 2011-12-12 00:18:18 -0800 (Mon, 12 Dec 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-icmpv6.c

  From Roy Marples:
  ICMPv6 DNSSL option can contain padding, which does not represent a malformed option.
  ------------------------------------------------------------------------
  r40162 | cmaynard | 2011-12-12 11:24:49 -0800 (Mon, 12 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/print.c

  Add missing </field> for data tree.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3809
  ------------------------------------------------------------------------
  r40184 | cmaynard | 2011-12-13 12:07:21 -0800 (Tue, 13 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/print.c

  Don't close the field tag here; it's now closed with </field>.
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r40075 | guy | 2011-12-02 19:01:08 -0800 (Fri, 02 Dec 2011) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tcp.c

  The TCP Packet Mood Option was a cute April 1 RFC, but TCP option 25 is
  officially listed as "Unassigned", and people might use it for their own
  purposes (and, in fact, one bug-submitter was doing so; they probably
  should have used 253 or 254, but...).  Get rid of the code to dissect
  it.
  ------------------------------------------------------------------------
  r40130 | jake | 2011-12-09 08:34:02 -0800 (Fri, 09 Dec 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bgp.c

  From astramax57:
  After r38723, some BGP AS_PATH packets were no longer dissected.
  ------------------------------------------------------------------------
  r40158 | jake | 2011-12-11 23:56:45 -0800 (Sun, 11 Dec 2011) | 3 lines
  Changed paths:
     M /trunk/tools/win-setup.sh

  Allow for true error reporing.
  Move the comment to where it's intended.
  ------------------------------------------------------------------------
  r40002 | wmeier | 2011-11-25 09:02:51 -0800 (Fri, 25 Nov 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dcerpc-epm.c

  From Wido Kelling: EPM tower UUID must be interpreted always as little endian.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6368
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r40398 | gerald | 2012-01-06 10:33:39 -0800 (Fri, 06 Jan 2012) | 69 lines

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r40164 | guy | 2011-12-12 16:44:22 -0800 (Mon, 12 Dec 2011) | 5 lines
  Changed paths:
     M /trunk/epan/packet.c

  Clamp the reported length of a packet at G_MAXINT for now, to avoid
  crashes due to having no tvbuffs for an epan_dissect_t.

  Fixes bug 6663 and its soon-to-be-duplicates.
  ------------------------------------------------------------------------
  r40165 | guy | 2011-12-12 16:57:09 -0800 (Mon, 12 Dec 2011) | 3 lines
  Changed paths:
     M /trunk/wiretap/5views.c

  Add missing check for a too-large packet, so we don't blow up trying to
  allocate a huge buffer; fixes bug 6666.
  ------------------------------------------------------------------------
  r40166 | guy | 2011-12-12 17:05:52 -0800 (Mon, 12 Dec 2011) | 3 lines
  Changed paths:
     M /trunk/wiretap/i4btrace.c

  Add missing check for a too-large packet, so we don't blow up trying to
  allocate a huge buffer; fixes bug 6667.
  ------------------------------------------------------------------------
  r40167 | guy | 2011-12-12 17:24:12 -0800 (Mon, 12 Dec 2011) | 5 lines
  Changed paths:
     M /trunk/wiretap/iptrace.c

  Add missing checks for a too-large packet, so we don't blow up trying to
  allocate a huge buffer; fixes bug 6668.

  Also add some other checks for invalid records.
  ------------------------------------------------------------------------
  r40168 | guy | 2011-12-12 17:49:27 -0800 (Mon, 12 Dec 2011) | 3 lines
  Changed paths:
     M /trunk/wiretap/netmon.c

  Add an arbitrary limit on the maximum size of the frame table, so that
  we don't crash.  Fixes bug 6669.
  ------------------------------------------------------------------------
  r40169 | guy | 2011-12-12 18:00:41 -0800 (Mon, 12 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/wiretap/lanalyzer.c

  Check for a bogus record size.  Fixes bug 6670.
  ------------------------------------------------------------------------
  r40170 | guy | 2011-12-12 18:42:42 -0800 (Mon, 12 Dec 2011) | 3 lines
  Changed paths:
     M /trunk/wiretap/airopeek9.c
     M /trunk/wiretap/nettl.c
     M /trunk/wiretap/packetlogger.c

  Add missing checks for a too-large packet, so we don't blow up trying to
  allocate a huge buffer.
  ------------------------------------------------------------------------
  r40174 | guy | 2011-12-12 22:45:16 -0800 (Mon, 12 Dec 2011) | 4 lines
  Changed paths:
     M /trunk/wiretap/netmon.c

  Crank up the maximum frame table size to 512*2^20 packets, that being a
  small amount bigger than the maximum possible number of packets in a
  NetMon file.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r40399 | gerald | 2012-01-06 12:03:42 -0800 (Fri, 06 Jan 2012) | 17 lines

Copy over r40194 from the trunk:

  ------------------------------------------------------------------------
  r40194 | guy | 2011-12-13 18:46:16 -0800 (Tue, 13 Dec 2011) | 6 lines
  Changed paths:
     M /trunk/epan/to_str.c

  Put back the checks for null arguments, but report a dissector bug if
  we're given null pointers.

  Put in comments clarifying that some routines intentionally do *not*
  null terminate the strings they produce.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r40400 | gerald | 2012-01-06 12:14:47 -0800 (Fri, 06 Jan 2012) | 21 lines

Copy over by hand:

  ------------------------------------------------------------------------
  r40266 | cmaynard | 2011-12-21 13:34:37 -0800 (Wed, 21 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rlc.c

  Avoid a potential buffer overflow (and fix some typos).  Resolves bug 6391: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6391
  ------------------------------------------------------------------------
  r40275 | cmaynard | 2011-12-22 06:49:43 -0800 (Thu, 22 Dec 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rlc.c

  What is the airspeed velocity of an unladen swallow?

  aspell and my own spelling preferences do not always agree with the spelling variations used by folks across the pond.  Revert a couple of spelling changes.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r40401 | gerald | 2012-01-06 12:24:06 -0800 (Fri, 06 Jan 2012) | 42 lines

Copy over from the trunk:

  ------------------------------------------------------------------------
  r40196 | guy | 2011-12-13 21:23:57 -0800 (Tue, 13 Dec 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-hpteam.c

  Put back the source MAC address, but do it right, in one column_add_fstr()
  call, and using ep_address_to_str(), so it can handle any address type,
  including AT_NONE if the source address isn't available.
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r40195 | guy | 2011-12-13 18:55:26 -0800 (Tue, 13 Dec 2011) | 18 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-hpteam.c

  Refer to a PID of 0x0002 as the PID for the HP Teaming heartbeat
  protocol.

  Point to an HP document o the protocol, and discuss the two ways to hook
  up the dissector.

  Don't bother checking the destination address - either the OUI/PID
  suffices, or the MAC address is both necessary and, presumably,
  sufficient and we need to introduce a heuristic dissector table for SNAP
  frames.  What's more, there's no guarantee that the destination address
  is a MAC address - it might be absent, e.g. because you're capturing on
  the Linux "any" device and are getting the "Linux cooked" header, with
  only a destination address.

  Don't put the source address into the Info column - it's already in the
  source column *if* it exists (which it might not, for packets captured
  from the "any" device and sent by the machine doing the capturing).
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r40402 | gerald | 2012-01-06 12:57:11 -0800 (Fri, 06 Jan 2012) | 112 lines

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r40172 | cmaynard | 2011-12-12 19:17:49 -0800 (Mon, 12 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/tshark.c

  Add the -H and -W options to the "tshark -h" output.  Ref: http://www.wireshark.org/lists/wireshark-users/201112/msg00044.html
  ------------------------------------------------------------------------
  r40200 | sake | 2011-12-14 10:24:41 -0800 (Wed, 14 Dec 2011) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dtls.c
     M /trunk/epan/dissectors/packet-ssl.c

  Fix for bug 6032:

  After changing the ssl_keys UAT, reparse the list and reload the keys.
  ------------------------------------------------------------------------
  r40245 | cmaynard | 2011-12-19 09:59:34 -0800 (Mon, 19 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tftp.c

  Tighten up conversation port matching once the 2nd port is known.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5727
  ------------------------------------------------------------------------
  r40274 | guy | 2011-12-22 01:22:35 -0800 (Thu, 22 Dec 2011) | 5 lines
  Changed paths:
     M /trunk/wiretap/5views.c
     M /trunk/wiretap/netmon.c
     M /trunk/wiretap/ngsniffer.c
     M /trunk/wiretap/snoop.c

  The encapsulation following WTAP_ENCAP_ARCNET is
  WTAP_ENCAP_ARCNET_LINUX; update various tables mapping Wiretap
  encapsulations to file-type encapsulations.  Get rid of some trailing
  "sorry, that's not supported" entries while we're at it.
  ------------------------------------------------------------------------
  r40281 | cmaynard | 2011-12-22 11:41:13 -0800 (Thu, 22 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tcp.c

  Appease the buildbots.
  ------------------------------------------------------------------------
  r40304 | cmaynard | 2011-12-27 10:16:12 -0800 (Tue, 27 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/file.c

  From Jim Young via bug 5580: Only update the time elapsed between the previous displayed packet and this packet if the packet is actually displayed.  Ref: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5580
  ------------------------------------------------------------------------
  r40316 | gerald | 2011-12-28 12:29:13 -0800 (Wed, 28 Dec 2011) | 3 lines
  Changed paths:
     M /trunk/Makefile.nmake
     M /trunk/docbook/wsdg_src/WSDG_chapter_quick_setup.xml

  Add "peflags" to the list of required executables. Use it to make sure
  the DLLs we use have DEP and ASLR enabled.
  ------------------------------------------------------------------------
  r40353 | stig | 2012-01-01 02:02:11 -0800 (Sun, 01 Jan 2012) | 1 line
  Changed paths:
     M /trunk/packaging/macosx/Info.plist.in
     M /trunk/version_info.c

  Happy New Year!
  ------------------------------------------------------------------------
  r40365 | gerald | 2012-01-03 16:37:14 -0800 (Tue, 03 Jan 2012) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ssl-utils.c

  Make sure each value in a GHashTable is unique. This avoids a
  double-free bug triggered by using the "any" address wildcard.

  Use g_malloc0 instead of zeroing elements by hand. Check for SSL_FAST
  the same way everywhere.
  ------------------------------------------------------------------------
  r40387 | cmaynard | 2012-01-05 09:29:27 -0800 (Thu, 05 Jan 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-udp.c

  Use length field from UDP header as the pseudo-header's UDP length field instead of using the reported_len.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6711
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r40280 | cmaynard | 2011-12-22 11:22:43 -0800 (Thu, 22 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tcp.c

  Revert some of the changes made as part of the patch from bug 6194 committed in r38326.  Also, change the 3 separate reserved bit fields to a single 3-bit reserved field to more closely match the spec.  Lastly, in accordance with NOTE 2 of Table 3-1 of the spec, display the connection id, whatever it is, rather than assuming it's zero just because the Com bit isn't set.
  ------------------------------------------------------------------------
  r40317 | gerald | 2011-12-28 14:37:38 -0800 (Wed, 28 Dec 2011) | 4 lines
  Changed paths:
     M /trunk/Makefile.nmake
     M /trunk/packaging/nsis/wireshark.nsi

  Simplify wireshark.nsi a bit by copying DLLs from the wireshark-gtk2
  directory.  This picks up any DEP/ASLR-related changes. Run peflags on
  more DLLs.
  ------------------------------------------------------------------------
  r40384 | etxrab | 2012-01-04 23:17:38 -0800 (Wed, 04 Jan 2012) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-csn1.c

  From Mike Morrin:
  Wrong tvb_get_bits function call in packet-csn1.c.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6708
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r40406 | gerald | 2012-01-08 07:33:55 -0800 (Sun, 08 Jan 2012) | 1 line

[Automatic manuf, services and enterprise-numbers update for 2012-01-08]
------------------------------------------------------------------------
r40413 | morriss | 2012-01-09 10:08:46 -0800 (Mon, 09 Jan 2012) | 4 lines

From Peter via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6614 :

Fix compilation if we MUST_DO_SELECT.

------------------------------------------------------------------------
r40414 | wmeier | 2012-01-09 10:16:04 -0800 (Mon, 09 Jan 2012) | 220 lines

 Copy over revisions from the trunk

   ------------------------------------------------------------------------
   r40163 | wmeier | 2011-12-12 19:02:30 -0500 (Mon, 12 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-dcp-etsi.c

   Fix a memory leak of a tvb.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40171 | wmeier | 2011-12-12 21:56:44 -0500 (Mon, 12 Dec 2011) | 3 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-dmp.c
      M /trunk/epan/dissectors/packet-ipsec.c
      M /trunk/epan/dissectors/packet-ldss.c

      Prevent memory leakage of uncompress tvb and associated data buffer (step 1).
      (tvb memory leak will actually remain until a bug in tvbuff.c is also fixed).

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40182 | wmeier | 2011-12-13 14:54:19 -0500 (Tue, 13 Dec 2011) | 13 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-sigcomp.c

   Fix: Execution Tracing High-Detail field selection highlighting seemingly wrong bytes in hex view pane.

   Actual problem:
     A REAL_DATA tvbuff wasn't being added to the "data_sources"
     for a frame. When displaying the frame, when a field referencing the tvb was selected
     for display there was no 'hex bytes' tab for the field and so bytes ended up being
     highlighted in the currently displayed hex bytes tab (thus highlighting bytes in a pane
     not related to the field).

     Consider: Add some code in field creation (proto_tree_add...) to at least warn if
               a field is being created using a tvb whose data_source is not in the
               data_sources list for the frame ?

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40186 | wmeier | 2011-12-13 16:51:33 -0500 (Tue, 13 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-syslog.c

   Fix tvbuff memory leak.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40187 | wmeier | 2011-12-13 17:49:59 -0500 (Tue, 13 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-xml.c

   Fix tvb memory leak; Fix hex byte display for Unicode XML.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40189 | wmeier | 2011-12-13 18:03:16 -0500 (Tue, 13 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-isakmp.c

   Fix a memory leak.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40190 | wmeier | 2011-12-13 18:16:13 -0500 (Tue, 13 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-ieee802154.c

   Fix memory leak.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40197 | wmeier | 2011-12-14 09:39:16 -0500 (Wed, 14 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-bmc.c

   Fix a (sort-of) memory leak: Use ep_alloc'd rather than se_alloc'd memory for a tvbuff;

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40198 | wmeier | 2011-12-14 10:19:14 -0500 (Wed, 14 Dec 2011) | 3 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-dcerpc-netlogon.c

   Fix a tvbuff memory leak;
   Also: Wireshark code change attributions are usually only in the svn log.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40199 | wmeier | 2011-12-14 12:35:22 -0500 (Wed, 14 Dec 2011) | 3 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-kerberos.c

   Fix tvb memory leak.
   https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3917

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40203 | wmeier | 2011-12-14 13:58:08 -0500 (Wed, 14 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-ldss.c

   Add call to add_new_data_source() for a newly created REAL_DATA tvb.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40205 | wmeier | 2011-12-14 17:01:38 -0500 (Wed, 14 Dec 2011) | 8 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-nfs.c

   Fix a tvb memory leak;
     Essentially: generate tvbuffs as needed; don't save them for later reuse
                  with the result they are never freed.

   Also:
   - move a struct from packet-nfs.h to packet-nfs.c since it's only used locally;
   - reformat some long lines.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40206 | sfisher | 2011-12-14 18:27:14 -0500 (Wed, 14 Dec 2011) | 5 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-nfs.h


   Fix moving nfs_fhandle_data from packet-nfs.h to packet-nfs.c as begun
   in r40205.


   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40211 | wmeier | 2011-12-15 13:13:21 -0500 (Thu, 15 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-rtmpt.c

   Fix some tvb memory leaks; Fix a typo.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40221 | wmeier | 2011-12-15 19:33:03 -0500 (Thu, 15 Dec 2011) | 3 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-dtls.c
      M /trunk/epan/dissectors/packet-ssl-utils.c
      M /trunk/epan/dissectors/packet-ssl-utils.h
      M /trunk/epan/dissectors/packet-ssl.c

   Fix tvb memory leak; Add missing call to add_new_data_source();
   Also: remove unneeded #includes.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40222 | wmeier | 2011-12-15 19:50:47 -0500 (Thu, 15 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-ssl-utils.h

   Oops: #include <stdio.h> is really needed.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40231 | wmeier | 2011-12-16 14:15:17 -0500 (Fri, 16 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-dtls.c

   Add (what I think are) missing add_new_data_source() calls;

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40277 | wmeier | 2011-12-22 13:09:06 -0500 (Thu, 22 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/asn1/rrc/rrc.cnf
      M /trunk/epan/dissectors/packet-rrc.c

   Add two missing calls to add_new_data_source().

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40311 | wmeier | 2011-12-28 11:09:45 -0500 (Wed, 28 Dec 2011) | 2 lines
   Changed paths:
      M /trunk/asn1/h245/h245.cnf

   add_new_data_source() needed in several places.

   ------------------------------------------------------------------------
   ------------------------------------------------------------------------
   r40345 | wmeier | 2011-12-30 10:28:04 -0500 (Fri, 30 Dec 2011) | 3 lines
   Changed paths:
      M /trunk/epan/dissectors/packet-h245.c

   Regenerated packet-h245.c (should have been included in SVN #40311: add_new_data_source() needed in several places).


   ------------------------------------------------------------------------

   --This line, and those below, will be ignored--

   M    asn1/h245/h245.cnf
   M    asn1/rrc/rrc.cnf
   M    epan/dissectors/packet-nfs.c
   M    epan/dissectors/packet-nfs.h
   M    epan/dissectors/packet-kerberos.c
   M    epan/dissectors/packet-ldss.c
   M    epan/dissectors/packet-sigcomp.c
   M    epan/dissectors/packet-dcp-etsi.c
   M    epan/dissectors/packet-ipsec.c
   M    epan/dissectors/packet-h245.c
   M    epan/dissectors/packet-syslog.c
   M    epan/dissectors/packet-rrc.c
   M    epan/dissectors/packet-ssl-utils.c
   M    epan/dissectors/packet-ssl-utils.h
   M    epan/dissectors/packet-ieee802154.c
   M    epan/dissectors/packet-dcerpc-netlogon.c
   M    epan/dissectors/packet-rtmpt.c
   M    epan/dissectors/packet-bmc.c
   M    epan/dissectors/packet-dtls.c
   M    epan/dissectors/packet-dmp.c
   M    epan/dissectors/packet-ssl.c
   M    epan/dissectors/packet-xml.c
   M    epan/dissectors/packet-isakmp.c

------------------------------------------------------------------------
r40415 | wmeier | 2012-01-09 10:36:35 -0800 (Mon, 09 Jan 2012) | 2 lines

Update release notes

------------------------------------------------------------------------
r40416 | morriss | 2012-01-09 10:56:06 -0800 (Mon, 09 Jan 2012) | 6 lines

Fix prototype problem mentioned in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6614#c3 :

It appears that the intent of r35027 was to use reset_tap_update_timer() not
just on Windows or when we have threads.  Make the prototype available all
the time to match that.

------------------------------------------------------------------------
r40417 | morriss | 2012-01-09 11:00:26 -0800 (Mon, 09 Jan 2012) | 1 line

Update release notes for bug 6614.
------------------------------------------------------------------------
r40419 | gerald | 2012-01-09 11:03:56 -0800 (Mon, 09 Jan 2012) | 2 lines

Update security bugs.

------------------------------------------------------------------------
r40425 | wmeier | 2012-01-10 07:19:38 -0800 (Tue, 10 Jan 2012) | 2 lines

Revert a minor change which was unrelated to fixing a bug.

------------------------------------------------------------------------
r40427 | gerald | 2012-01-10 10:23:06 -0800 (Tue, 10 Jan 2012) | 37 lines

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r40423 | alagoutte | 2012-01-10 05:59:27 -0800 (Tue, 10 Jan 2012) | 5 lines
  Changed paths:
     M /trunk/pcapio.c

  From Jose Pedro Oliveira  via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6719
  pcapio.c: bug in libpcap_write_interface_description_block

  The attached patch fixes a copy_and_paste error in the code of the function libpcap_write_interface_description_block(): strlen(name) instead of strlen(filter).
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r40312 | cmaynard | 2011-12-28 08:36:57 -0800 (Wed, 28 Dec 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bt-dht.c
     M /trunk/epan/dissectors/packet-gopher.c
     M /trunk/epan/dissectors/packet-gsm_ipa.c
     M /trunk/epan/dissectors/packet-meta.c
     M /trunk/epan/dissectors/packet-mux27010.c
     M /trunk/epan/dissectors/packet-nfs.c
     M /trunk/epan/dissectors/packet-rdp.c
     M /trunk/epan/dissectors/packet-sametime.c
     M /trunk/epan/dissectors/packet-ua.c
     M /trunk/epan/dissectors/packet-xtp.c
     M /trunk/plugins/unistim/packet-unistim.c

  Fix memory leaks involving tvb_get_string[z]().
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
